Name:       libmm-radio
Summary:    Multimedia Framework Radio Library
Version:    0.2.39
Release:    0
Group:      System/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001: 	libmm-radio.manifest
BuildRequires:  pkgconfig(mm-common)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(mm-session)
BuildRequires:  pkgconfig(mm-sound)
BuildRequires:  pkgconfig(capi-media-sound-manager)
%ifnarch %{arm}
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
%endif
BuildRequires:  pkgconfig(murphy-resource)
BuildRequires:  pkgconfig(murphy-glib)

%description
Description: Multimedia Framework Radio Library


%package devel
Summary:    Multimedia Framework Radio Library (DEV)
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
Description: Multimedia Framework Radio Library (DEV)

%prep
%setup -q
cp %{SOURCE1001} .

%build
./autogen.sh

export CFLAGS+=" %{optflags} -Wall"
%ifarch %{arm}
export CFLAGS+=" -DTIZEN_FEATURE_RADIO_HAL "
export CFLAGS+=" -DPATH_LIBDIR=\\\"%{_libdir}\\\""
%endif

%configure \
%ifnarch %{arm}
--enable-emulator \
%endif
--enable-sound-focus \
--enable-sound-vstream \
--disable-static --prefix=%{_prefix}

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install


%post -p /sbin/ldconfig

%postun  -p /sbin/ldconfig


%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/libmmfradio.so.*
%license LICENSE.Apache-2.0

%files devel
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/libmmfradio.so
%{_libdir}/pkgconfig/mm-radio.pc
%{_includedir}/mmf/mm_radio.h

